QuantLib: BlackIborCouponPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BlackIborCouponPricer Class Reference

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for BlackIborCouponPricer:
[legend]

## Public Types
enum | TimingAdjustment { Black76, BivariateLognormal }
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions
| BlackIborCouponPricer (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >(), const TimingAdjustment timingAdjustment=Black76, const Handle< Quote > correlation=Handle< Quote >(boost::shared_ptr< Quote >(new SimpleQuote(1.0))))
virtual void | initialize (const FloatingRateCoupon &coupon)
Real | swapletPrice () const
Rate | swapletRate () const
Real | capletPrice (Rate effectiveCap) const
Rate | capletRate (Rate effectiveCap) const
Real | floorletPrice (Rate effectiveFloor) const
Rate | floorletRate (Rate effectiveFloor) const
Public Member Functions inherited from IborCouponPricer
| IborCouponPricer (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())
Handle< OptionletVolatilityStructure > | capletVolatility () const
void | setCapletVolatility (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())
Public Member Functions inherited from FloatingRateCouponPricer
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Real | optionletPrice (Option::Type optionType, Real effStrike) const
virtual Rate | adjustedFixing (Rate fixing=Null< Rate >()) const

## Protected Attributes
Real | gearing_
Spread | spread_
Time | accrualPeriod_
boost::shared_ptr< IborIndex > | index_
Real | discount_
Real | spreadLegValue_
const FloatingRateCoupon * | coupon_

## Detailed Description

Black-formula pricer for capped/floored Ibor coupons References for timing adjustments Black76 Hull, Options, Futures and other derivatives, 4th ed., page 550 BivariateLognormal http://ssrn.com/abstract=2170721

Examples:
  Bonds.cpp.